04-04-14 01:58 PM
717 ... 1516171819 ...
tools
  1. jeffh's Avatar
    No, if your current OS is not installed, there is nothing to uninstall. However, I always recommend you download your current OS exe file to your PC. That way, you have it readily available if the upgrade does not go well and you have to roll back to your last good version.

    Posted from my CrackBerry at wapforums.crackberry.com
    03-11-09 03:55 PM
  2. mdehoogh's Avatar
    Thank you Jeff
    03-11-09 04:10 PM
  3. Noize's Avatar
    I have a rim 8320 w/ os 4.2
    can I update my bberry on a mac? and where do I download both the current OS I have installed
    and the new one>
    03-12-09 01:28 AM
  4. azharsaadat's Avatar
    Hi,
    I just bought today BB8310 (4.2.2.184) without any CD as iam living in Pakistan and their is no cariers like AT&T or T-mobile.
    Now i want to update it but iam a newbie and dont know from where to download the desktop manager (which version 4.6 or 4.7) and most importantly from where to download the latest v4.5.0.124
    03-13-09 05:30 PM
  5. bubbajones's Avatar
    I've searched and read and can't figure this out. I'm on a Vista machine. I updated my storm to 1.09 tonight, and was able to get the upgrade to work on the storm (as far as I can tell). My problem is I can't get my desktop manager back. I've uninstalled and reinstalled, multiple times, wiped registry keys (from blackberry's website's instructions), done everything I can think of. Any suggestions? I want to use my backup to get my settings back, and I'm going nuts trying to get desktop manager back.
    03-21-09 12:41 AM
  6. MikeMcCats's Avatar
    Hey guys, this is my first post but I've found a lot of valuable info here.
    The only thing I haven't been able to clearly find is regarding an unlocked 8310 Curve.

    It's an AT&T phone but has been unlocked since we use it overseas with another sim card. (Great advice found on CB for getting them to give up the code!)
    There's only one thing holding me back from launching myself into the recommended OS upgrade procedure
    What I want to be sure of is:

    If I upgrade the OS from 4.2 to 4.5, will my phone still be unlocked after that?

    Thanks!
    Mike
    03-24-09 05:02 PM
  7. jeffh's Avatar
    Unlocking is a one-time, irreversible event. Wiping, upgrading (or downgrading) your OS will not relock your phone.
    03-24-09 05:04 PM
  8. th3gh05t's Avatar
    Hello,

    I recently upgraded to 5.0 on the Bold, but do not like it cause the browser doesn't work well with webpages, Facebook, and Google Talk do not work.

    When I followed the steps to downgrade, it does not recognize that .247 wants to install..

    What do I do?
    04-14-09 06:35 PM
  9. maxiang's Avatar
    Did you uninstall OS 5.0 first? After you installed .247 did you delete the vendor.xml? Did you goto c:/program files/common files/research in motion/app loader and run the loader.exe that's there?

    Posted from my CrackBerry at wapforums.crackberry.com
    04-14-09 06:40 PM
  10. th3gh05t's Avatar
    Ahh okay. I see now that I need to uninstall the 5.0 software via "Add/Remove Programs".

    I guess that should have been a step...

    Thanks!
    04-14-09 06:41 PM
  11. maxiang's Avatar
    Its step #4...

    Posted from my CrackBerry at wapforums.crackberry.com
    04-14-09 06:48 PM
  12. Jayr_'s Avatar
    sorry to ask, but what is the big deal about updating the OS?
    sorry im a noob
    04-17-09 12:41 AM
  13. StiinaQT's Avatar
    Many thanks to you! My Blackberry was caught in that "561 ****" from trying to upgrade it and I doubt that even the AT&T guys could have fixed it so slickly! I found you via a Google search and followed the thread, followed the instructions and boom! I lost all of my data because the backup failed...or at least I haven't tried to restore it, yet, but it is working. Hallelujah! thank you, thank you, thank you! I can't say that enough!

    StiinaQT
    04-19-09 01:36 AM
  14. contex's Avatar
    grrr. i keep on trying to get the OS from blackberrys website but it keeps on crashing in the middle o\_/o
    04-19-09 07:31 AM
  15. contex's Avatar
    anyone got a mirror??
    04-19-09 07:32 AM
  16. garvicad's Avatar
    I have used this method to upgrade and it worked without a prob thank you
    04-19-09 07:59 AM
  17. cbs2669's Avatar
    Great info...thanks
    04-20-09 04:03 PM
  18. connollc's Avatar
    Hello,

    Uploaded the new 4.5 OS per the advanced instructions at the beginning of this thread. Used CrackMem and DM ver 4.5, worked perfectly. Two problems, though, one major, one minor:

    - when I select the BB instant messenging icon i receive the error message: "This application is only for the T-Mobile Blackberry Pearl 8100. The device you are using is not supported." When I select the icon to download instant messenger I get the same error. I'm sure this has something to do with the fact that T-mobile has not released a version beyond 4.2.xxxx for the 8100 but I'm not sure. Any advice? BB Msgr worked perfectly on the previous OS. (FYI - I DO have BB unlimited data plan through Tmob and I DO get the EDGE icon in all caps for the network).

    - when I select the "About" option under "Options" to view my latest OS version, etc, it does not open. Nothing happens.

    Aside from that, everything else seems to work great and I love ver 4.5. HOpefully I won't have to roll back since BB msgr doesn't work.

    Thank you!
    Chris
    04-22-09 10:09 PM
  19. jeffh's Avatar
    The About function is disabled in OS4.5 if you removed Voice Activated Dialing. You can get the same info by typing Alt EACE.

    I just upgraded my 8830 from 4.2.2.196 to 4.5.0.138 tonight. I didn't have any problem with Messenger. It should be an option to check in Desktop Manager. Did you upgrade from the BlackBerry site, or manually by downloading and installing the OS on your PC?
    04-22-09 10:17 PM
  20. connollc's Avatar
    Thanks for the speedy reply!

    I updated the OS manually since it does not seem ver 4.5 is actually supported by Tmob for the 8100 on either the Blackberry site or through the T-mobile software updates..

    Regarding messenger, I went in to the AppLoader on DM and specifically selected BB messenger to update on my phone. The push went through and now I have the traditional BB msgr icon on my phone. Seems that the issue was it just didn't get uploaded when I did the OS update. I guess the other Instant Messenging icon which I was trying to select is for some other type of IM service, not sure which. Anyway, BB msgr is now working great.

    Thanks for the reply, and the info about the "About."

    Chris
    04-22-09 10:41 PM
  21. Redneckbutlerboy's Avatar
    I had something really frustrating happen last night. I tried updating my Bold to .266 but DM(4.7) kept telling me no updates available. I made sure I removed all older device software and had the same problem. I thought no big deal, even though I've never done it in the past I knew I could wipe with JL_Cmder which would cause a JVM 507 error and it would just have to load the software....or so I thought. Even then I kept getting told no update needed. I couldn't find any setting to over ride this so the only thing I could think of was to remove DM4.7 and go down to 4.3 as it always would let me load software on my curve even when it was already loaded. That let me load it and I then removed 4.3 and went to 4.6 off the CD (didn't have Internet to download 4.7 because I only tether) since I know 4.3 doesn't have all the drivers for the Bold. So my question is, if you have a JVM error and DM thinks you already have the latest software and doesn't want to run app loader, is there anyway to force it on 4.6 or 4.7DM to run app loader?
    04-23-09 02:15 AM
  22. freesunshine's Avatar
    Hey bmcclure937,

    According to your instruction, "Step #7 - Wipe your handheld". I've never wipe my handheld during previous installs. Is this step really necessary or is it ok to upgrade on top of the current version as I've done in the past?
    04-23-09 09:33 PM
  23. jeffh's Avatar
    Hey bmcclure937,

    According to your instruction, "Step #7 - Wipe your handheld". I've never wipe my handheld during previous installs. Is this step really necessary or is it ok to upgrade on top of the current version as I've done in the past?
    It is ok to install on top of a previous version. I installed OS 4.5 on top of OS4.2 last night with no problem.
    04-23-09 09:36 PM
  24. freesunshine's Avatar
    It is ok to install on top of a previous version. I installed OS 4.5 on top of OS4.2 last night with no problem.
    Thanks Jeff! Upgrading to .132 as I type, wish me luck.
    04-23-09 09:52 PM
  25. RedfishScout's Avatar
    Upgraded 9530 to 113, no problems. Went to DM 5.0. Tried to upgrade to 122, no dice, tried 132 stiil no dice. Says my device has the latest. Went back to DM 4.7 on a different pc and still can't upgrade. ..any thoughts?
    Last edited by RedfishScout; 04-24-09 at 02:01 PM.
    04-24-09 01:56 PM
717 ... 1516171819 ...
LINK TO POST COPIED TO CLIPBOARD